from glob import glob
import os
import pkg_resources

from tutor import hooks

from .__about__ import __version__


########################################
# CONFIGURATION
########################################

hooks.Filters.CONFIG_DEFAULTS.add_items(
    [
        # Add your new settings that have default values here.
        # Each new setting is a pair: (setting_name, default_value).
        # Prefix your setting names with 'MOGC_CONFIG_'.
        ("MOGC_CONFIG_VERSION", __version__),
        ("MOGC_CONFIG_BRAND_VERSION", "v14.0.0"),
        ("MOGC_CONFIG_FOOTER_VERSION", "v14.2.1"),
        ("MOGC_CONFIG_UWSGI_BUFFER_SIZE", "16384"),
        (
            "MOGC_CONFIG_SUPPORT_URL",
            "https://teamdynamix.umich.edu"
            "/TDClient/227/Portal/Requests/TicketRequests/NewForm"
            "?ID=H2-XUfI-sPA_&RequestorType=Service"
        ),
        (
            "MOGC_CONFIG_ENABLE_ACCESSIBILITY_PAGE",
            "https://teamdynamix.umich.edu/TDClient/187/Portal/KB/ArticleDet?ID=10934"
        ),
    ]
)

########################################
# PATCH LOADING
# (It is safe & recommended to leave
#  this section as-is :)
########################################

# For each file in tutor_mogc_config/patches,
# apply a patch based on the file's name and contents.
for path in glob(
    os.path.join(
        pkg_resources.resource_filename("tutor_mogc_config", "patches"),
        "*",
    )
):
    with open(path, encoding="utf-8") as patch_file:
        hooks.Filters.ENV_PATCHES.add_item((os.path.basename(path), patch_file.read()))
